/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 8);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _wp$element = wp.element,
    Component = _wp$element.Component,
    render = _wp$element.render,
    findDOMNode = _wp$element.findDOMNode,
    Fragment = _wp$element.Fragment,
    useState = _wp$element.useState,
    useEffect = _wp$element.useEffect;
var __ = wp.i18n.__;


var alias = 'wtop-brands-';

var WTopDisplayBrands = function WTopDisplayBrands(_ref) {
  var settings = _ref.settings;

  var _useState = useState(WTopBrands.brands),
      _useState2 = _slicedToArray(_useState, 2),
      brands = _useState2[0],
      setBrands = _useState2[1];

  var _useState3 = useState([]),
      _useState4 = _slicedToArray(_useState3, 2),
      brandsToBeShowed = _useState4[0],
      setBrandsToBeShowed = _useState4[1];

  var _useState5 = useState(settings.categories_to_be_showed[0]),
      _useState6 = _slicedToArray(_useState5, 2),
      currentCategory = _useState6[0],
      setCurrentCategory = _useState6[1];

  var originalBrands = WTopBrands.brands;
  var numberOfCategories = settings.number_of_categories;

  useEffect(function () {
    setCurrentCategory(settings.categories_to_be_showed[0]);
  }, [settings.categories_to_be_showed[0]]);

  useEffect(function () {
    console.log('Filter - ' + currentCategory);
    var result = void 0;
    if (currentCategory == 'All') {
      result = originalBrands;
    } else {
      result = Object.keys(originalBrands).filter(function (key) {
        return originalBrands[key].brand_category == currentCategory;
      }).map(function (val) {
        return originalBrands[val];
      });
    }
    setBrands(result);
  }, [currentCategory]);

  var buildHeader = function buildHeader() {

    var categories = settings.categories_to_be_showed.includes('All') ? WTopBrands.categories : settings.categories_to_be_showed;
    return React.createElement(
      'ul',
      { className: alias + 'categories' },
      React.createElement(
        'li',
        { style: { borderColor: settings.border_color_brands, color: settings.text_color_brands }, onClick: function onClick() {
            setBrands(originalBrands);
            setCurrentCategory("All");
          } },
        'Shop by Brand'
      ),
      settings.categories_to_be_showed.includes('All') ? React.createElement(
        'li',
        { onClick: function onClick() {
            setBrands(originalBrands);
            setCurrentCategory("All");
          } },
        React.createElement(
          'a',
          {
            style: {
              borderColor: settings.border_color_brands,
              borderTopColor: currentCategory == 'All' ? settings.border_color_category : settings.border_color_brands,
              color: currentCategory == 'All' ? settings.border_color_category : settings.text_color_brands
            },
            className: alias + 'category ' + (currentCategory == 'All' ? 'is_active' : '')
          },
          'All Categories'
        )
      ) : "",
      categories.map(function (categ, index) {
        return index < numberOfCategories ? React.createElement(
          'li',
          { key: index },
          React.createElement(
            'a',
            {
              style: {
                borderColor: settings.border_color_brands,
                borderTopColor: currentCategory == categ ? settings.border_color_category : settings.border_color_brands,
                color: currentCategory == categ ? settings.border_color_category : settings.text_color_brands
              },
              className: alias + 'category ' + (currentCategory == categ ? 'is_active' : ''),
              onClick: function onClick(e) {
                e.preventDefault();
                setCurrentCategory(categ);
              }
            },
            categ
          )
        ) : "";
      }),
      categories.length > numberOfCategories ? React.createElement(
        'li',
        { onClick: function onClick() {
            setCurrentCategory("more");
          } },
        React.createElement(
          'a',
          {
            style: {
              borderColor: settings.border_color_brands,
              borderTopColor: currentCategory == 'more' ? settings.border_color_category : settings.border_color_brands,
              color: currentCategory == 'more' ? settings.border_color_category : settings.text_color_brands
            },
            className: alias + 'category ' + (currentCategory == 'more' ? 'is_active' : '')
          },
          'More Categories'
        )
      ) : ""
    );
  };

  var buildBrands = function buildBrands() {
    var categories = settings.categories_to_be_showed.includes('All') ? WTopBrands.categories : settings.categories_to_be_showed;

    if (currentCategory != 'more') {
      if (Object.keys(brands).length == 0) return React.createElement(
        'p',
        null,
        __('No Brands in this category', 'wtop-brands')
      );

      return React.createElement(
        'ul',
        { className: alias + 'brands', style: { gridTemplateColumns: 'repeat(' + settings.number_of_items + ', 1fr)' } },
        Object.keys(brands).map(function (key, index) {
          var number_of_cols = Object.keys(brands).length / settings.number_of_items;
          var floor_number_of_cols = Math.floor(number_of_cols);
          if (number_of_cols == floor_number_of_cols) {
            floor_number_of_cols--;
          }
          if (brands[key].brand_image_url != null) {
            return React.createElement(
              'li',
              { key: index, style: {
                  borderRight: (index + 1) % settings.number_of_items != 0 ? '1px solid ' + settings.border_color_brands : '',
                  borderBottom: index < floor_number_of_cols * settings.number_of_items ? '1px solid ' + settings.border_color_brands : ''

                } },
              React.createElement(
                'a',
                { href: brands[key].brand_url, className: alias + 'brand' },
                React.createElement('img', { src: brands[key].brand_image_url })
              )
            );
          }
        })
      );
    } else {
      return React.createElement(
        'ul',
        { className: alias + 'categories-list' },
        categories.map(function (categ, index) {
          var number_of_cols = Object.keys(categories).length / 3;
          var floor_number_of_cols = Math.floor(number_of_cols);
          if (number_of_cols == floor_number_of_cols) {
            floor_number_of_cols--;
          }
          return React.createElement(
            'li',
            {
              style: {
                borderRight: (index + 1) % 3 != 0 ? '1px solid ' + settings.border_color_brands : '',
                borderBottom: index < floor_number_of_cols * 3 ? '1px solid ' + settings.border_color_brands : ''
              },
              onClick: function onClick() {
                setCurrentCategory(categ);
              }
            },
            React.createElement(
              'a',
              { style: { color: settings.border_color_category } },
              ' ',
              categ,
              ' '
            )
          );
        })
      );
    }
  };

  return React.createElement(
    'div',
    { style: { backgroundColor: settings.background_brands } },
    buildHeader(),
    buildBrands(),
    React.createElement('style', { dangerouslySetInnerHTML: { __html: '\n        .' + alias + 'category:hover {\n          color: ' + settings.border_color_category + ' !important;\n        }\n      ' }
    })
  );
};

exports.WTopDisplayBrands = WTopDisplayBrands;

/***/ }),
/* 1 */,
/* 2 */,
/* 3 */,
/* 4 */,
/* 5 */,
/* 6 */,
/* 7 */,
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(9);
module.exports = __webpack_require__(10);


/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _DisplayBrands = __webpack_require__(0);

var _wp$element = wp.element,
    Component = _wp$element.Component,
    render = _wp$element.render;


// Instantiate for every brands on the page
document.addEventListener('DOMContentLoaded', function (event) {
  var posts = document.querySelectorAll('.wtop-brands-wrapper');

  for (var i = 0; i < posts.length; i++) {
    var attributes = JSON.parse(posts[i].getAttribute('data-attributes'));

    var number_of_items = attributes.number_of_items,
        number_of_categories = attributes.number_of_categories,
        border_color_category = attributes.border_color_category,
        border_color_brands = attributes.border_color_brands,
        categories_to_be_showed = attributes.categories_to_be_showed,
        background_brands = attributes.background_brands,
        text_color_brands = attributes.text_color_brands;


    render(React.createElement(_DisplayBrands.WTopDisplayBrands, {
      settings: {
        number_of_items: number_of_items,
        border_color_category: border_color_category,
        border_color_brands: border_color_brands,
        categories_to_be_showed: categories_to_be_showed,
        background_brands: background_brands,
        text_color_brands: text_color_brands,
        number_of_categories: number_of_categories
      }
    }), posts[i]);
  }
});

/***/ }),
/* 10 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })
/******/ ]);
//# sourceMappingURL=frontend.build.js.map