/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 1);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */,
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(2);
module.exports = __webpack_require__(3);


/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _wp$element = wp.element,
    Component = _wp$element.Component,
    render = _wp$element.render,
    findDOMNode = _wp$element.findDOMNode,
    Fragment = _wp$element.Fragment,
    useState = _wp$element.useState,
    useEffect = _wp$element.useEffect;
var __ = wp.i18n.__;
var MediaUpload = wp.editor.MediaUpload;


var alias = 'wtop-brands-';

var WTopApp = function WTopApp(_ref) {
  var settings = _ref.settings,
      isBrandLogo = _ref.isBrandLogo;

  var _useState = useState(settings.image_url),
      _useState2 = _slicedToArray(_useState, 2),
      imageUrl = _useState2[0],
      setImageUrl = _useState2[1];

  var _useState3 = useState(settings.attachment_id),
      _useState4 = _slicedToArray(_useState3, 2),
      attachmentId = _useState4[0],
      setAttachmentId = _useState4[1];

  var _useState5 = useState(settings.current_brand_category),
      _useState6 = _slicedToArray(_useState5, 2),
      category = _useState6[0],
      setCategory = _useState6[1];

  var buildBrandLogo = function buildBrandLogo() {
    return React.createElement(
      Fragment,
      null,
      React.createElement(
        "th",
        { scope: "row", valign: "top" },
        React.createElement(
          "label",
          { "for": "brand_logo" },
          "Brand Logo"
        )
      ),
      React.createElement(
        "td",
        null,
        React.createElement("input", { type: "hidden", name: "term_meta[brand_logo]", id: "term_meta[brand_logo]", value: attachmentId }),
        imageUrl != null ? React.createElement("img", { className: alias + "image", src: imageUrl }) : "",
        imageUrl == null ? React.createElement(
          "a",
          { href: "#upload", target: "blank", className: "button button-primary kingdom-upload-custom-img " + alias + "upload",
            onClick: function onClick(e) {
              e.preventDefault();

              var frame = wp.media({
                title: __('Select or Upload Brand logo', 'wtopbrands'),
                button: {
                  text: __('Use this image', 'wtopbrands')
                },
                multiple: false // Set to true to allow multiple files to be selected
              });

              frame.on('select', function () {

                // Get media attachment details from the frame state
                var attachment = frame.state().get('selection').first().toJSON();

                var image_url = attachment.sizes.full.url;
                if (typeof attachment.sizes.thumbnail != 'undefined') {
                  image_url = attachment.sizes.thumbnail.url;
                }
                setImageUrl(image_url);
                setAttachmentId(attachment.id);
              });

              // Finally, open the modal on click
              frame.open();
            }
          },
          "Upload Image"
        ) : "",
        imageUrl != null ? React.createElement(
          "a",
          { href: "#upload", target: "blank", className: "button button-primary " + alias + "delete", onClick: function onClick(e) {
              e.preventDefault();
              setImageUrl(null);
              setAttachmentId("");
            } },
          "Delete"
        ) : "",
        React.createElement("br", null),
        React.createElement(
          "span",
          { "class": "description" },
          __('Here you can upload a logo for your brand', 'wtopbrands')
        )
      )
    );
  };

  var buildBrandCategory = function buildBrandCategory() {
    return React.createElement(
      Fragment,
      null,
      React.createElement(
        "th",
        { scope: "row", valign: "top" },
        React.createElement(
          "label",
          { "for": "brand_category" },
          __('Brand Category', 'wtopbrands')
        )
      ),
      React.createElement(
        "td",
        null,
        React.createElement(
          "select",
          { name: "term_meta[brand_category]", id: "term_meta[brand_category]", value: category, onChange: function onChange(e) {
              setCategory(e.target.value);
            } },
          React.createElement(
            "option",
            { value: "" },
            __('None', 'wtopbrands')
          ),
          settings.brand_categories.map(function (categ, indexCateg) {
            return React.createElement(
              "option",
              { value: categ },
              categ
            );
          })
        ),
        React.createElement("br", null),
        React.createElement(
          "span",
          { "class": "description" },
          " ",
          __('Please select a category.', 'wtopbrands'),
          " "
        ),
        category == "" ? React.createElement(
          "span",
          { style: { fontWeight: '700' } },
          __('No category Selected', 'wtopbrands')
        ) : ""
      )
    );
  };

  return React.createElement(
    Fragment,
    null,
    isBrandLogo ? buildBrandLogo() : buildBrandCategory()
  );
};

exports.WTopApp = WTopApp;


document.addEventListener('DOMContentLoaded', function (event) {
  var searchElement = document.getElementById(alias + "wrapper");
  if (searchElement != null) {
    var settings = JSON.parse(searchElement.getAttribute('data-settings'));
    render(React.createElement(WTopApp, { settings: settings, isBrandLogo: true }), searchElement);
  }
});

document.addEventListener('DOMContentLoaded', function (event) {
  var searchElement = document.getElementById(alias + "wrapper2");
  if (searchElement != null) {
    var settings = JSON.parse(searchElement.getAttribute('data-settings'));
    render(React.createElement(WTopApp, { settings: settings, isBrandLogo: false }), searchElement);
  }
});

/***/ }),
/* 3 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })
/******/ ]);
//# sourceMappingURL=app.build.js.map