/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 4);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _wp$element = wp.element,
    Component = _wp$element.Component,
    render = _wp$element.render,
    findDOMNode = _wp$element.findDOMNode,
    Fragment = _wp$element.Fragment,
    useState = _wp$element.useState,
    useEffect = _wp$element.useEffect;
var __ = wp.i18n.__;


var alias = 'wtop-brands-';

var WTopDisplayBrands = function WTopDisplayBrands(_ref) {
  var settings = _ref.settings;

  var _useState = useState(WTopBrands.brands),
      _useState2 = _slicedToArray(_useState, 2),
      brands = _useState2[0],
      setBrands = _useState2[1];

  var _useState3 = useState([]),
      _useState4 = _slicedToArray(_useState3, 2),
      brandsToBeShowed = _useState4[0],
      setBrandsToBeShowed = _useState4[1];

  var _useState5 = useState(settings.categories_to_be_showed[0]),
      _useState6 = _slicedToArray(_useState5, 2),
      currentCategory = _useState6[0],
      setCurrentCategory = _useState6[1];

  var originalBrands = WTopBrands.brands;
  var numberOfCategories = settings.number_of_categories;

  useEffect(function () {
    setCurrentCategory(settings.categories_to_be_showed[0]);
  }, [settings.categories_to_be_showed[0]]);

  useEffect(function () {
    console.log('Filter - ' + currentCategory);
    var result = void 0;
    if (currentCategory == 'All') {
      result = originalBrands;
    } else {
      result = Object.keys(originalBrands).filter(function (key) {
        return originalBrands[key].brand_category == currentCategory;
      }).map(function (val) {
        return originalBrands[val];
      });
    }
    setBrands(result);
  }, [currentCategory]);

  var buildHeader = function buildHeader() {

    var categories = settings.categories_to_be_showed.includes('All') ? WTopBrands.categories : settings.categories_to_be_showed;
    return React.createElement(
      'ul',
      { className: alias + 'categories' },
      React.createElement(
        'li',
        { style: { borderColor: settings.border_color_brands, color: settings.text_color_brands }, onClick: function onClick() {
            setBrands(originalBrands);
            setCurrentCategory("All");
          } },
        'Shop by Brand'
      ),
      settings.categories_to_be_showed.includes('All') ? React.createElement(
        'li',
        { onClick: function onClick() {
            setBrands(originalBrands);
            setCurrentCategory("All");
          } },
        React.createElement(
          'a',
          {
            style: {
              borderColor: settings.border_color_brands,
              borderTopColor: currentCategory == 'All' ? settings.border_color_category : settings.border_color_brands,
              color: currentCategory == 'All' ? settings.border_color_category : settings.text_color_brands
            },
            className: alias + 'category ' + (currentCategory == 'All' ? 'is_active' : '')
          },
          'All Categories'
        )
      ) : "",
      categories.map(function (categ, index) {
        return index < numberOfCategories ? React.createElement(
          'li',
          { key: index },
          React.createElement(
            'a',
            {
              style: {
                borderColor: settings.border_color_brands,
                borderTopColor: currentCategory == categ ? settings.border_color_category : settings.border_color_brands,
                color: currentCategory == categ ? settings.border_color_category : settings.text_color_brands
              },
              className: alias + 'category ' + (currentCategory == categ ? 'is_active' : ''),
              onClick: function onClick(e) {
                e.preventDefault();
                setCurrentCategory(categ);
              }
            },
            categ
          )
        ) : "";
      }),
      categories.length > numberOfCategories ? React.createElement(
        'li',
        { onClick: function onClick() {
            setCurrentCategory("more");
          } },
        React.createElement(
          'a',
          {
            style: {
              borderColor: settings.border_color_brands,
              borderTopColor: currentCategory == 'more' ? settings.border_color_category : settings.border_color_brands,
              color: currentCategory == 'more' ? settings.border_color_category : settings.text_color_brands
            },
            className: alias + 'category ' + (currentCategory == 'more' ? 'is_active' : '')
          },
          'More Categories'
        )
      ) : ""
    );
  };

  var buildBrands = function buildBrands() {
    var categories = settings.categories_to_be_showed.includes('All') ? WTopBrands.categories : settings.categories_to_be_showed;

    if (currentCategory != 'more') {
      if (Object.keys(brands).length == 0) return React.createElement(
        'p',
        null,
        __('No Brands in this category', 'wtop-brands')
      );

      return React.createElement(
        'ul',
        { className: alias + 'brands', style: { gridTemplateColumns: 'repeat(' + settings.number_of_items + ', 1fr)' } },
        Object.keys(brands).map(function (key, index) {
          var number_of_cols = Object.keys(brands).length / settings.number_of_items;
          var floor_number_of_cols = Math.floor(number_of_cols);
          if (number_of_cols == floor_number_of_cols) {
            floor_number_of_cols--;
          }
          if (brands[key].brand_image_url != null) {
            return React.createElement(
              'li',
              { key: index, style: {
                  borderRight: (index + 1) % settings.number_of_items != 0 ? '1px solid ' + settings.border_color_brands : '',
                  borderBottom: index < floor_number_of_cols * settings.number_of_items ? '1px solid ' + settings.border_color_brands : ''

                } },
              React.createElement(
                'a',
                { href: brands[key].brand_url, className: alias + 'brand' },
                React.createElement('img', { src: brands[key].brand_image_url })
              )
            );
          }
        })
      );
    } else {
      return React.createElement(
        'ul',
        { className: alias + 'categories-list' },
        categories.map(function (categ, index) {
          var number_of_cols = Object.keys(categories).length / 3;
          var floor_number_of_cols = Math.floor(number_of_cols);
          if (number_of_cols == floor_number_of_cols) {
            floor_number_of_cols--;
          }
          return React.createElement(
            'li',
            {
              style: {
                borderRight: (index + 1) % 3 != 0 ? '1px solid ' + settings.border_color_brands : '',
                borderBottom: index < floor_number_of_cols * 3 ? '1px solid ' + settings.border_color_brands : ''
              },
              onClick: function onClick() {
                setCurrentCategory(categ);
              }
            },
            React.createElement(
              'a',
              { style: { color: settings.border_color_category } },
              ' ',
              categ,
              ' '
            )
          );
        })
      );
    }
  };

  return React.createElement(
    'div',
    { style: { backgroundColor: settings.background_brands } },
    buildHeader(),
    buildBrands(),
    React.createElement('style', { dangerouslySetInnerHTML: { __html: '\n        .' + alias + 'category:hover {\n          color: ' + settings.border_color_category + ' !important;\n        }\n      ' }
    })
  );
};

exports.WTopDisplayBrands = WTopDisplayBrands;

/***/ }),
/* 1 */,
/* 2 */,
/* 3 */,
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(5);
module.exports = __webpack_require__(7);


/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _utils = __webpack_require__(6);

var _DisplayBrands = __webpack_require__(0);

var _wp$element = wp.element,
    render = _wp$element.render,
    Fragment = _wp$element.Fragment;
var InspectorControls = wp.blockEditor.InspectorControls;
var registerBlockType = wp.blocks.registerBlockType;
var __ = wp.i18n.__;
var _wp$compose = wp.compose,
    compose = _wp$compose.compose,
    withState = _wp$compose.withState;
var _wp$components = wp.components,
    CheckboxControl = _wp$components.CheckboxControl,
    RangeControl = _wp$components.RangeControl,
    ColorPalette = _wp$components.ColorPalette,
    Panel = _wp$components.Panel,
    PanelBody = _wp$components.PanelBody,
    PanelRow = _wp$components.PanelRow;
var withSelect = wp.data.withSelect;

var alias = 'wtop-brands-';

registerBlockType('posts/gbrands', {
  title: __('GBrands', 'wtopbrands'),
  description: __('Use this Block to Display your Top Brands from WooCommerce!', 'wtopbrands'),
  icon: React.createElement('img', { src: WTopBrands.assets_url + '/icon-block.png' }),
  category: 'layout',
  keywords: ['brands'],
  attributes: {

    number_of_items: {
      type: 'numeric',
      default: 5
    },

    number_of_categories: {
      type: 'numeric',
      default: 2
    },

    border_color_category: {
      type: 'string',
      default: '#005eb8'
    },

    border_color_brands: {
      type: 'string',
      default: '#eee'
    },

    background_brands: {
      type: 'string',
      default: '#fff'
    },

    text_color_brands: {
      type: 'string',
      default: '#000'
    },

    categories_to_be_showed: {
      type: 'array',
      default: ['All']
    }

  },

  edit: compose([withSelect(function (select, props) {
    return {
      props: props
    };
  }), withState({
    hover: false
  })])(function (_ref) {
    var tab = _ref.tab,
        selectedButton = _ref.selectedButton,
        hover = _ref.hover,
        wait = _ref.wait,
        setState = _ref.setState,
        props = _ref.props;
    var setAttributes = props.setAttributes,
        className = props.className;
    var _props$attributes = props.attributes,
        number_of_items = _props$attributes.number_of_items,
        number_of_categories = _props$attributes.number_of_categories,
        border_color_category = _props$attributes.border_color_category,
        border_color_brands = _props$attributes.border_color_brands,
        categories_to_be_showed = _props$attributes.categories_to_be_showed,
        background_brands = _props$attributes.background_brands,
        text_color_brands = _props$attributes.text_color_brands;


    var buildCategorySelection = function buildCategorySelection() {
      var categories = WTopBrands.categories;

      return React.createElement(
        'div',
        null,
        React.createElement(
          'h4',
          { style: { marginTop: '20px' } },
          __('Categories to be displayed', 'wtopbrands')
        ),
        React.createElement(
          'ul',
          null,
          React.createElement(
            'li',
            null,
            React.createElement(CheckboxControl, {
              label: 'All',
              checked: categories_to_be_showed.includes('All'),
              onChange: function onChange() {
                var _categories = categories_to_be_showed.slice();
                if (!_categories.includes('All')) {
                  _categories = ['All'];
                }
                setAttributes({ categories_to_be_showed: _categories });
              }
            })
          ),
          categories.map(function (categ, index) {
            return React.createElement(
              'li',
              { key: index },
              React.createElement(CheckboxControl, {
                label: categ,
                checked: categories_to_be_showed.includes('' + categ),
                onChange: function onChange() {
                  var _categories = categories_to_be_showed.slice();
                  if (_categories.includes(categ)) {
                    _categories.splice(_categories.indexOf(categ), 1);
                  } else {
                    _categories.push(categ);
                  }
                  if (_categories.includes('All')) {
                    _categories.splice(_categories.indexOf("All"), 1);
                  }
                  if (_categories.length == 0) {
                    _categories.push('All');
                  }
                  if (_categories.length == WTopBrands.categories.length) {
                    _categories = ['All'];
                  }

                  setAttributes({ categories_to_be_showed: _categories });
                }
              })
            );
          })
        )
      );
    };

    return React.createElement(
      'div',
      { className: alias + 'wrapper' },
      React.createElement(
        InspectorControls,
        { key: 'inspector' },
        React.createElement(
          PanelBody,
          { title: __('General Options', 'wtopbrands'), initialOpen: true },
          React.createElement(RangeControl, {
            label: __("Number of Items per Row", 'wtopbrands'),
            value: number_of_items,
            onChange: function onChange(new_number) {
              return setAttributes({ number_of_items: new_number });
            },
            min: 2,
            max: 6,
            step: 1
          }),
          React.createElement(RangeControl, {
            label: __("Maximum number of categories to be showed", 'wtopbrands'),
            value: number_of_categories,
            onChange: function onChange(new_number) {
              return setAttributes({ number_of_categories: new_number });
            },
            min: 1,
            max: 5,
            step: 1
          }),
          buildCategorySelection(),
          React.createElement(
            'h4',
            { style: { marginTop: '20px' } },
            __('Active Color', 'wtopbrands')
          ),
          React.createElement(ColorPalette, {
            colors: (0, _utils.WTop_Color)(),
            value: border_color_category,
            onChange: function onChange(color) {
              setAttributes({ border_color_category: color });
            }
          }),
          React.createElement(
            'h4',
            { style: { marginTop: '20px' } },
            __('Text Color', 'wtopbrands')
          ),
          React.createElement(ColorPalette, {
            colors: (0, _utils.WTop_Color)(),
            value: text_color_brands,
            onChange: function onChange(color) {
              setAttributes({ text_color_brands: color });
            }
          }),
          React.createElement(
            'h4',
            { style: { marginTop: '20px' } },
            __('Border Color', 'wtopbrands')
          ),
          React.createElement(ColorPalette, {
            colors: (0, _utils.WTop_Color)(),
            value: border_color_brands,
            onChange: function onChange(color) {
              setAttributes({ border_color_brands: color });
            }
          }),
          React.createElement(
            'h4',
            { style: { marginTop: '20px' } },
            __('Background Color', 'wtopbrands')
          ),
          React.createElement(ColorPalette, {
            colors: (0, _utils.WTop_Color)(),
            value: background_brands,
            onChange: function onChange(color) {
              setAttributes({ background_brands: color });
            }
          })
        )
      ),
      React.createElement(_DisplayBrands.WTopDisplayBrands, {
        settings: {
          number_of_items: number_of_items,
          border_color_category: border_color_category,
          border_color_brands: border_color_brands,
          categories_to_be_showed: categories_to_be_showed,
          background_brands: background_brands,
          text_color_brands: text_color_brands,
          number_of_categories: number_of_categories
        }
      })
    );
  }),

  save: function save(props) {
    var setAttributes = props.setAttributes,
        className = props.className;

    return React.createElement('div', { className: alias + 'wrapper', 'data-attributes': JSON.stringify(props.attributes) });
  }
});

/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IMAGE_EDITOR_isset = IMAGE_EDITOR_isset;
exports.WM_GoogleFontLoader = WM_GoogleFontLoader;
exports.IMAGE_EDITOR_list_to_tree = IMAGE_EDITOR_list_to_tree;
exports.WTop_Color = WTop_Color;
function IMAGE_EDITOR_isset(arr, var_args) {
  for (var i = 1, k = arguments.length; i < k; ++i) {
    if (!arr || !arr.hasOwnProperty(arguments[i])) return false;
    arr = arr[arguments[i]];
  }
  return true;
}

function WM_GoogleFontLoader(font) {

  var fetchStyle = function fetchStyle(url) {
    return new Promise(function (resolve, reject) {
      var link = document.createElement('link');
      link.type = 'text/css';
      link.rel = 'stylesheet';
      link.onload = function () {
        resolve();
      };
      link.href = url;

      var headScript = document.querySelector('script');
      headScript.parentNode.insertBefore(link, headScript);
    });
  };

  if (font == "Theme Default") return false;
  if (font == "Arial") return false;

  if (!WM.google_fonts.includes(font)) {
    fetchStyle('https://fonts.googleapis.com/css?family=' + font.replace(" ", "+"));
    WM.google_fonts.push(font);
  }
}

function IMAGE_EDITOR_list_to_tree(data, options) {
  var selected = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;

  options = options || {};
  var ID_KEY = options.idKey || 'ID';
  var PARENT_KEY = options.parentKey || 'parent_ID';
  var CHILDREN_KEY = options.childrenKey || 'children';

  var tree = [],
      childrenOf = {};
  var item, id, parentId;

  for (var i = 0, length = data.length; i < length; i++) {
    item = data[i];
    id = item[ID_KEY];
    parentId = item[PARENT_KEY] || 0;

    if (item.ID == selected) {
      item.checked = true;
    } else {
      item.checked = false;
    }

    // every item may have children
    childrenOf[id] = childrenOf[id] || [];
    // init its children
    item[CHILDREN_KEY] = childrenOf[id];
    if (parentId != 0) {
      // init its parent's children object
      childrenOf[parentId] = childrenOf[parentId] || [];
      // push it into its parent's children object
      childrenOf[parentId].push(item);
    } else {
      tree.push(item);
    }
  };

  return tree;
}

function WTop_Color() {
  var number_of_color = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 999;

  var original_colors = [{ name: 'light-grayish-magenta', hex: '#d0a5db' }, { name: 'pale-pink', hex: '#f78da7' }, { name: 'vivid-red', hex: '#cf2e2e' }, { name: 'luminous-vivid-amber', hex: '#fcb900' }, { name: 'vivid-cyan-blue', hex: '#0693e3' }, { name: 'vivid-cyan-turquoise', hex: '#00BCD4' }, { name: 'vivid-cyan-green', hex: '#00C853' }, { name: 'very-light-gray', hex: '#eee' }, { name: 'vivid-white', hex: '#fff' }, { name: 'very-dark-gray', hex: '#444' }];

  var return_colors = [];
  original_colors.forEach(function (color) {
    return_colors.push({
      'name': color.name,
      'color': color.hex,
      'slug': color.name.toLowerCase()
    });
  });

  if (number_of_color < 999) {
    return return_colors.slice(0, number_of_color);
  }

  return return_colors;
}

/***/ }),
/* 7 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })
/******/ ]);
//# sourceMappingURL=block.build.js.map